<?php
/*
Plugin Name: S-ButtonZ
Plugin URI: http://blog.rswr.net/2009/02/14/social-media-wordpress-plugin/
Description: Displays social media buttons/badges of your choice for each post/page. Full <a href="options-general.php?page=S-ButtonZ.php">admin options</a> available.
Version: 1.0.3
Author: Ryan Christenson (The RSWR Network)
Author URI: http://www.rswr.net/
*/

/*
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

if (!class_exists("SButtonZ")) {
	class SButtonZ {
		var $adminOptionsName = "SButtonZ_Admin_Options";
		function SButtonZ() { //constructor
		}

		//Print out the admin page
		function printAdminPage() {
			if (isset($_POST['update_SButtonZSettings'])) {
				// Save General Settings
				if($_POST['prom'] == "on") update_option('SButtonZ_prom', "checked=on");
  				else update_option('SButtonZ_prom', "");
				if($_POST['digg'] == "on") update_option('SButtonZ_digg', "checked=on");
  				else update_option('SButtonZ_digg', "");
  				if($_POST['dzon'] == "on") update_option('SButtonZ_dzon', "checked=on");
  				else update_option('SButtonZ_dzon', "");
  				if($_POST['redd'] == "on") update_option('SButtonZ_redd', "checked=on");
  				else update_option('SButtonZ_redd', "");
  				if($_POST['yaho'] == "on") update_option('SButtonZ_yaho', "checked=on");
  				else update_option('SButtonZ_yaho', "");
  				$SBZhide1 = $_POST['SBZ-hide1'];
  				update_option('SbuttonZ_hide1', $SBZhide1);
  				$SBZhide2 = $_POST['SBZ-hide2'];
  				update_option('SbuttonZ_hide2', $SBZhide2);
  				$SBZhide3 = $_POST['SBZ-hide3'];
  				update_option('SbuttonZ_hide3', $SBZhide3);
  				$SBZhide4 = $_POST['SBZ-hide4'];
  				update_option('SbuttonZ_hide4', $SBZhide4);
  				$SBZhide5 = $_POST['SBZ-hide5'];
  				update_option('SbuttonZ_hide5', $SBZhide5);
  				$SBZhide6 = $_POST['SBZ-hide6'];
  				update_option('SbuttonZ_hide6', $SBZhide6);
  				$SBZhide7 = $_POST['SBZ-hide7'];
  				update_option('SbuttonZ_hide7', $SBZhide7);

				// Save Digg Settings
				if($_POST['DGhome'] == "on") update_option('SButtonZ_DG_home', "checked=on");
  				else update_option('SButtonZ_DG_home', "");
  				if($_POST['DGpost'] == "on") update_option('SButtonZ_DG_post', "checked=on");
  				else update_option('SButtonZ_DG_post', "");
  				if($_POST['DGpage'] == "on") update_option('SButtonZ_DG_page', "checked=on");
  				else update_option('SButtonZ_DG_page', "");
  				if($_POST['DGtag'] == "on") update_option('SButtonZ_DG_tag', "checked=on");
  				else update_option('SButtonZ_DG_tag', "");
  				if($_POST['DGarch'] == "on") update_option('SButtonZ_DG_arch', "checked=on");
  				else update_option('SButtonZ_DG_arch', "");
  				if($_POST['DGsrch'] == "on") update_option('SButtonZ_DG_srch', "checked=on");
  				else update_option('SButtonZ_DG_srch', "");
  				$DG_bg = $_POST['DGbg'];
  				update_option('SButtonZ_DG_bg', $DG_bg);
  				$DG_display1 = $_POST['DGdisplay1'];
  				update_option('SButtonZ_DG_display1', $DG_display1);
  				$DG_skin = $_POST['DGskin'];
  				update_option('SButtonZ_DG_skin', $DG_skin);
  				$DG_win = $_POST['DGwin'];
  				update_option('SButtonZ_DG_win', $DG_win);
  				$DG_body = $_POST['DGbody'];
  				update_option('SButtonZ_DG_body', $DG_body);
  				$DG_media = $_POST['DGmedia'];
  				update_option('SButtonZ_DG_media', $DG_media);
  				$DG_topic = $_POST['DGtopic'];
  				update_option('SButtonZ_DG_topic', $DG_topic);

  				// Save dZone Settings
				if($_POST['DZhome'] == "on") update_option('SButtonZ_DZ_home', "checked=on");
  				else update_option('SButtonZ_DZ_home', "");
  				if($_POST['DZpost'] == "on") update_option('SButtonZ_DZ_post', "checked=on");
  				else update_option('SButtonZ_DZ_post', "");
  				if($_POST['DZpage'] == "on") update_option('SButtonZ_DZ_page', "checked=on");
  				else update_option('SButtonZ_DZ_page', "");
  				if($_POST['DZtag'] == "on") update_option('SButtonZ_DZ_tag', "checked=on");
  				else update_option('SButtonZ_DZ_tag', "");
  				if($_POST['DZarch'] == "on") update_option('SButtonZ_DZ_arch', "checked=on");
  				else update_option('SButtonZ_DZ_arch', "");
  				if($_POST['DZsrch'] == "on") update_option('SButtonZ_DZ_srch', "checked=on");
  				else update_option('SButtonZ_DZ_srch', "");
  				$DZ_display1 = $_POST['DZdisplay1'];
  				update_option('SButtonZ_DZ_display1', $DZ_display1);
  				$DZ_style = $_POST['DZstyle'];
  				update_option('SButtonZ_DZ_style', $DZ_style);
  				$DZ_body = $_POST['DZbody'];
				update_option('SButtonZ_DZ_body', $DZ_body);

				// Save reddit Settings
				if($_POST['RDhome'] == "on") update_option('SButtonZ_RD_home', "checked=on");
  				else update_option('SButtonZ_RD_home', "");
  				if($_POST['RDpost'] == "on") update_option('SButtonZ_RD_post', "checked=on");
  				else update_option('SButtonZ_RD_post', "");
  				if($_POST['RDpage'] == "on") update_option('SButtonZ_RD_page', "checked=on");
  				else update_option('SButtonZ_RD_page', "");
  				if($_POST['RDtag'] == "on") update_option('SButtonZ_RD_tag', "checked=on");
  				else update_option('SButtonZ_RD_tag', "");
  				if($_POST['RDarch'] == "on") update_option('SButtonZ_RD_arch', "checked=on");
  				else update_option('SButtonZ_RD_arch', "");
  				if($_POST['RDsrch'] == "on") update_option('SButtonZ_RD_srch', "checked=on");
  				else update_option('SButtonZ_RD_srch', "");
  				$RD_display1 = $_POST['RDdisplay1'];
  				update_option('SButtonZ_RD_display1', $RD_display1);
  				$RD_style = $_POST['RDstyle'];
  				update_option('SButtonZ_RD_style', $RD_style);

				// Save Yahoo Buzz Settings
				if($_POST['YAhome'] == "on") update_option('SButtonZ_YA_home', "checked=on");
  				else update_option('SButtonZ_YA_home', "");
  				if($_POST['YApost'] == "on") update_option('SButtonZ_YA_post', "checked=on");
  				else update_option('SButtonZ_YA_post', "");
  				if($_POST['YApage'] == "on") update_option('SButtonZ_YA_page', "checked=on");
  				else update_option('SButtonZ_YA_page', "");
  				if($_POST['YAtag'] == "on") update_option('SButtonZ_YA_tag', "checked=on");
  				else update_option('SButtonZ_YA_tag', "");
  				if($_POST['YAarch'] == "on") update_option('SButtonZ_YA_arch', "checked=on");
  				else update_option('SButtonZ_YA_arch', "");
  				if($_POST['YAsrch'] == "on") update_option('SButtonZ_YA_srch', "checked=on");
  				else update_option('SButtonZ_YA_srch', "");
  				$YA_display1 = $_POST['YAdisplay1'];
  				update_option('SButtonZ_YA_display1', $YA_display1);
  				$YA_badge = $_POST['YAbadge'];
  				update_option('SButtonZ_YA_badge', $YA_badge);
  				$YA_body = $_POST['YAbody'];
  				update_option('SButtonZ_YA_body', $YA_body);
  				$YA_media = $_POST['YAmedia'];
  				update_option('SButtonZ_YA_media', $YA_media);
  				$YA_topic = $_POST['YAtopic'];
				update_option('SButtonZ_YA_topic', $YA_topic);
?>
<div class="updated"><p><span class="SBZ-Bold"><?php _e("S-ButtonZ Options Updated!", "SButtonZ");?></span></p></div>
<?php
			}
?>
<div class="wrap">
<h2><?php _e('S-ButtonZ - 1.0.3','SButtonZ'); ?></h2>
<style type="text/css">
<!--
.SBZ-Pad td{padding:10px;text-align:left;font-weight:700;}
.SBZ-Pad th{text-align:left;vertical-align:top;font-weight:700;}
.SBZ-Bold{font-weight:700;}
.SBZ-Red{color:red;font-weight:700;}
.SBZ-chlog{font-size:medium;}
-->
</style>
<form class="form-table" method="post" action="<?php _e($_SERVER["REQUEST_URI"]); ?>">
<?php
$path = trailingslashit(dirname(__FILE__));
//General Options
if(file_exists($path.'options/a-gen.php')) require_once($path.'options/a-gen.php');
//Display Digg Options
if(file_exists($path.'options/digg.php')) require_once($path.'options/digg.php');
//Display Digg Options
if(file_exists($path.'options/dzon.php')) require_once ($path.'options/dzon.php');
//Display Digg Options
if(file_exists($path.'options/redd.php')) require_once ($path.'options/redd.php');
//Display Digg Options
if(file_exists($path.'options/yaho.php')) require_once ($path.'options/yaho.php');
?>
	<input type="submit" name="update_SButtonZSettings" value="<?php _e('Update Settings', 'SButtonZ') ?>" class="button-primary action" /><br /><br />
</form>
</div>
<?php
		}
	}
}

########################
#                      #
#   Button Functions   #
#                      #
########################
// Digg Functions
    // Create Digg Button
    if (!function_exists("SButtonZ_digg_Create")) {
	function SButtonZ_digg_Create($content) {
	    // Retrieve Options
	    $DG_bg = get_option('SButtonZ_DG_bg');
	    $DG_display1 = get_option('SButtonZ_DG_display1');
	    $DG_skin = get_option('SButtonZ_DG_skin');
	    $DG_win = get_option('SButtonZ_DG_win');
	    $DG_body = get_option('SButtonZ_DG_body');
	    $DG_media = get_option('SButtonZ_DG_media');
	    $DG_topic = get_option('SButtonZ_DG_topic');
    // Display Top Right
    if ($DG_display1 == "") {
	_e('<div style="float: right; width: 42px; padding-right: 10px; margin: 0 0 0 10px;">');
    }

    // Display Top Left
    if ($DG_display1 == "left") {
	if ($DG_skin == "") {
	    _e('<div style="float: left; width: 42px; padding-right: 10px; margin: 0 10px 0 0;">');
	} elseif ($DG_skin == "compact") {
	    _e('<div style="float: left; width: 42px; padding-right: 45px; margin: 0 45px 0 0;">');
	} elseif ($DG_skin == "icon") {
	    _e('<div style="float: left; width: 16px; padding-right: 10px; margin: 0 10px 0 0;">');
	}
    }

    // Display Bottom Left
    if ($DG_display1 == "bottomL") {
	if ($DG_skin == "") {
	    _e('<div style="position:relative; width: 100%; padding: 0 0 100px 0;">');
	    _e('<div style="position: absolute; bottom: 10px; width: 42px;">');
	} elseif ($DG_skin == "compact" || $DG_skin == "icon") {
	    _e('<div style="position:relative; width: 100%; padding: 0 0 35px 0;">');
	    _e('<div style="position: absolute; bottom: 10px; width: 42px;">');
	}
    }

    // Display Bottom Right
    if ($DG_display1 == "bottomR") {
	if ($DG_skin == "") {
	    _e('<div style="position:relative; width: 100%; padding: 0 0 100px 0;">');
	    _e('<div style="position: absolute; bottom: 10px; right:10px; width: 42px;">');
	} elseif ($DG_skin == "compact") {
	    _e('<div style="position:relative; width: 100%; padding: 0 0 35px 0;">');
	    _e('<div style="position: absolute; bottom: 10px; right:50px; width: 42px;">');
	} elseif ($DG_skin == "icon") {
	    _e('<div style="position:relative; width: 100%; padding: 0 0 30px 0;">');
	    _e('<div style="position: absolute; bottom: 10px; right:0; width: 42px;">');
	}
    }
$DG_old = array('/\n/', '/\\[[^\\]]*\\]/');
$DG_new = array('', '');
?>
<script type="text/javascript">
<!--
digg_url = '<?php the_permalink(); ?>';
digg_bgcolor = '<?php _e($DG_bg); ?>';
digg_skin = '<?php _e($DG_skin); ?>';
digg_window = '<?php _e($DG_win); ?>';
digg_title = '<?php the_title(); ?>';
digg_bodytext = '<?php if($DG_body != "") _e(SButtonZ_trunc(strip_tags(preg_replace($DG_old, $DG_new, $content)),$DG_body)); ?>';
digg_media = '<?php if (strpos($content, "SBZ=video") == TRUE) {_e("video");} elseif (strpos($content, "SBZ=image") == TRUE) {_e("image");} elseif (strpos($content, "SBZ=news") == TRUE) {_e("news");} else {_e($DG_media);}; ?>';
digg_topic = '<?php _e($DG_topic); ?>';
//-->
</script>
<script src="http://digg.com/tools/diggthis.js" type="text/javascript"></script>
</div>
<?php
	}
}

    // Add Digg Button
    if (!function_exists("SButtonZ_digg_Add")) {
	function SButtonZ_digg_Add($content) {
	    $DG_display1 = get_option('SButtonZ_DG_display1');
	    //error_reporting(E_ALL);
	    if(is_home() && get_option('SButtonZ_DG_home') == "checked=on") return $content;
	    if(is_single() && get_option('SButtonZ_DG_post') == "checked=on") return $content;
	    if(is_page() && get_option('SButtonZ_DG_page') == "checked=on") return $content;
	    if(is_tag() && get_option('SButtonZ_DG_tag') == "checked=on") return $content;
	    if(is_archive() && get_option('SButtonZ_DG_arch') == "checked=on") return $content;
	    if(is_search() && get_option('SButtonZ_DG_srch') == "checked=on") return $content;
	    if (strpos($content, "diggZ=none") == TRUE) return $content;
	    if($DG_display1 == "bottomL" || $DG_display1 == "bottomR") {
		$content = SButtonZ_digg_Create($content).$content;
		$content .= '</div>';
		return $content;
	    } else {
		$content = SButtonZ_digg_Create($content).$content;
		return $content;
	    }
	}
    }
    if (get_option('SButtonZ_digg') == "checked=on") add_filter('the_content', 'SButtonZ_digg_Add');

// dZone Functions
    // Create dZone Button
    if (!function_exists("SButtonZ_dzon_Create")) {
	function SButtonZ_dzon_Create($content) {
	    // Retrieve Options
	    $DZ_display1 = get_option('SButtonZ_DZ_display1');
	    $DZ_style = get_option('SButtonZ_DZ_style');
	    $DZ_body = get_option('SButtonZ_DZ_body');
	// Display Top Right
	if ($DZ_display1 == "") {
	    if ($DZ_style == "") {
		_e('<div style="float: right; width: 42px; padding-right: 10px; margin: 0 0 0 10px;">');
	    } elseif ($DZ_style == "2") {
		_e('<div style="float: right; width: 42px; padding-right: 115px; margin: 0 0 0 10px;">');
	    }
	}

	// Display Top Left
	if ($DZ_display1 == "left") {
	    if ($DZ_style == "") {
		_e('<div style="float: left; width: 42px; padding-right: 10px; margin: 0 10px 0 0;">');
	    } elseif ($DZ_style == "2") {
		_e('<div style="float: left; width: 42px; padding-right: 115px; margin: 0 10px 0 0;">');
	    }
	}

	// Display Bottom Left
	if ($DZ_display1 == "bottomL") {
	    if ($DZ_style == "") {
		_e('<div style="position:relative; width: 100%; padding: 0 0 90px 0;">');
		_e('<div style="position: absolute; bottom: 10px; width: 42px;">');
	    } elseif ($DZ_style == "2") {
		_e('<div style="position:relative; width: 100%; padding: 0 0 30px 0;">');
		_e('<div style="position: absolute; bottom: 10px; width: 42px;">');
	    }
	}

	// Display Bottom Right
	if ($DZ_display1 == "bottomR") {
	    if ($DZ_style == "") {
		_e('<div style="position:relative; width: 100%; padding: 0 0 90px 0;">');
		_e('<div style="position: absolute; bottom: 10px; right:10px; width: 42px;">');
	    } elseif ($DZ_style == "2") {
		_e('<div style="position:relative; width: 100%; padding: 0 0 30px 0;">');
		_e('<div style="position: absolute; bottom: 10px; right:115px; width: 42px;">');
	    }
	}
?>
<script type="text/javascript">
<?php
$DZ_old = array('/\n/', '/\\[[^\\]]*\\]/');
$DZ_new = array('', '');
?>
<!--
var dzone_url = '<?php the_permalink(); ?>';
var dzone_title = '<?php the_title(); ?>';
var dzone_blurb = '<?php if($DZ_body != "") _e(SButtonZ_trunc(strip_tags(preg_replace($DZ_old, $DZ_new, $content)),$DZ_body)); ?>';
var dzone_style = '<?php if ($DZ_style == '') _e('1'); else _e($DZ_style); ?>';
//-->
</script>
<script language="javascript" src="http://widgets.dzone.com/widgets/zoneit.js"></script> 
</div>
<?php
	}
}

    // Add dZone Button
    if (!function_exists("SButtonZ_dzon_Add")) {
	function SButtonZ_dzon_Add($content) {
	    $DZ_display1 = get_option('SButtonZ_DZ_display1');
	    //error_reporting(E_ALL);
	    if(is_home() && get_option('SButtonZ_DZ_home') == "checked=on") return $content;
	    if(is_single() && get_option('SButtonZ_DZ_post') == "checked=on") return $content;
	    if(is_page() && get_option('SButtonZ_DZ_page') == "checked=on") return $content;
	    if(is_tag() && get_option('SButtonZ_DZ_tag') == "checked=on") return $content;
	    if(is_archive() && get_option('SButtonZ_DZ_arch') == "checked=on") return $content;
	    if(is_search() && get_option('SButtonZ_DZ_srch') == "checked=on") return $content;
	    if (strpos($content, "dzoneZ=none") == TRUE) return $content;
	    if($DZ_display1 == "bottomL" || $DZ_display1 == "bottomR") {
		$content = SButtonZ_dzon_Create($content).$content;
		$content .= '</div>';
		return $content;
	    } else {
		$content = SButtonZ_dzon_Create($content).$content;
		return $content;
	    }
	}
    }
    if (get_option('SButtonZ_dzon') == "checked=on") add_filter('the_content', 'SButtonZ_dzon_Add');

// reddit Functions
    // Create reddit Button
    if (!function_exists("SButtonZ_redd_Create")) {
	function SButtonZ_redd_Create($content) {
	    // Retrieve Options
	    $RD_display1 = get_option('SButtonZ_RD_display1');
	    $RD_style = get_option('SButtonZ_RD_style');
    // Display Top Right
    if($RD_display1 == "") {
	if ($RD_style == "") {
	    _e('<div style="float: right; width: 42px; padding-right: 90px; margin: 0 0 0 10px;">');
	} elseif ($RD_style == "2") {
	    _e('<div style="float: right; width: 42px; padding-right: 10px; margin: 0 0 0 10px;">');
	} elseif ($RD_style == "3") {
	    _e('<div style="float: right; width: 42px; padding-right: 30px; margin: 0 0 0 10px;">');
	}
    }

    // Display Top Left
    if ($RD_display1 == "left") {
	if ($RD_style == "") {
	    _e('<div style="float: left; width: 42px; padding-right: 90px; margin: 0 10px 0 0;">');
	} elseif ($RD_style == "2") {
	    _e('<div style="float: left; width: 42px; padding-right: 10px; margin: 0 10px 0 0;">');
	} elseif ($RD_style == "3") {
	    _e('<div style="float: left; width: 42px; padding-right: 30px; margin: 0 10px 0 0;">');
	}
    }

    // Display Bottom Left
    if ($RD_display1 == "bottomL") {
	if ($RD_style == "") {
	    _e('<div style="position:relative; width: 100%; padding: 0 0 40px 0;">');
	    _e('<div style="position:absolute; bottom: 10px; width: 42px;">');
	} elseif ($RD_style == "2") {
	    _e('<div style="position:relative; width: 100%; padding: 0 0 100px 0;">');
	    _e('<div style="position:absolute; bottom: 10px; width: 42px;">');
	} elseif ($RD_style == "3") {
	    _e('<div style="position:relative; width: 100%; padding: 0 0 80px 0;">');
	    _e('<div style="position:absolute; bottom: 10px; width: 42px;">');
	}
    }

    // Display Bottom Right
    if ($RD_display1 == "bottomR") {
	if ($RD_style == "") {
	    _e('<div style="position:relative; width: 100%; padding: 0 0 40px 0;">');
	    _e('<div style="position:absolute; bottom: 10px; right:90px; width: 42px;">');
	} elseif ($RD_style == "2") {
	    _e('<div style="position:relative; width: 100%; padding: 0 0 100px 0;">');
	    _e('<div style="position:absolute; bottom: 10px; right:10px; width: 42px;">');
	} elseif ($RD_style == "3") {
	    _e('<div style="position:relative; width: 100%; padding: 0 0 80px 0;">');
	    _e('<div style="position:absolute; bottom: 10px; right:30px; width: 42px;">');
	}
    }
?>
<script>
<!--
reddit_url='<?php the_permalink(); ?>';
reddit_title='<?php the_title(); ?>';
//-->
</script>
<script type="text/javascript" src="http://www.reddit.com/button.js?t=<?php if ($RD_style == '') _e('1'); else _e($RD_style); ?>"></script>
</div>
<?php
	}
}

    // Add reddit Button
    if (!function_exists("SButtonZ_redd_Add")) {
	function SButtonZ_redd_Add($content) {
	    $RD_display1 = get_option('SButtonZ_RD_display1');
	    //error_reporting(E_ALL);
	    if(is_home() && get_option('SButtonZ_RD_home') == "checked=on") return $content;
	    if(is_single() && get_option('SButtonZ_RD_post') == "checked=on") return $content;
	    if(is_page() && get_option('SButtonZ_RD_page') == "checked=on") return $content;
	    if(is_tag() && get_option('SButtonZ_RD_tag') == "checked=on") return $content;
	    if(is_archive() && get_option('SButtonZ_RD_arch') == "checked=on") return $content;
	    if(is_search() && get_option('SButtonZ_RD_srch') == "checked=on") return $content;
	    if (strpos($content, "reddZ=none") == TRUE) return $content;
	    if($RD_display1 == "bottomL" || $RD_display1 == "bottomR") {
		$content = SButtonZ_redd_Create($content).$content;
		$content .= '</div>';
		return $content;
	    } else {
		$content = SButtonZ_redd_Create($content).$content;
		return $content;
	    }
	}
    }
    if (get_option('SButtonZ_redd') == "checked=on") add_filter('the_content', 'SButtonZ_redd_Add');

// Yahoo Buzz Functions
    // Create Yahoo Buzz Button
    if (!function_exists("SButtonZ_yaho_Create")) {
	function SButtonZ_yaho_Create($content) {
	    // Retrieve Options
	    $YA_display1 = get_option('SButtonZ_YA_display1');
	    $YA_badge = get_option('SButtonZ_YA_badge');
	    $YA_body = get_option('SButtonZ_YA_body');
	    $YA_media = get_option('SButtonZ_YA_media');
	    $YA_topic = get_option('SButtonZ_YA_topic');
	// Display Top Right
	if ($YA_display1 == "") {
	    if ($YA_badge == "text-votes") {
		_e('<div style="float: right; width: 80px; padding-right: 10px; margin: 0 0 10px 10px;">');
	    } elseif ($YA_badge == "logo") {
		_e('<div style="float: right; width: 20px; padding-right: 10px; margin: 0 0 10px 10px;">');
	    } elseif ($YA_badge == "text") {
		_e('<div style="float: right; width: 78px; padding-right: 10px; margin: 0 0 10px 10px;">');
	    } elseif ($YA_badge == "small-votes" || $YA_badge == "medium-votes" || $YA_badge == "large-votes") {
		_e('<div style="float: right; width: 170px; padding-right: 10px; margin: 0 0 0 10px;">');
	    } elseif ($YA_badge == "small" || $YA_badge == "medium" || $YA_badge == "large") {
		_e('<div style="float: right; width: 110px; padding-right: 10px; margin: 0 0 0 10px;">');
	    } else {
		_e('<div style="float: right; width: 50px; padding-right: 10px; margin: 0 0 0 10px;">');
	    }
	}

	// Display Top Left
	if ($YA_display1 == "left") {
	    if ($YA_badge == "text-votes") {
		_e('<div style="float: left; width: 80px; padding-right: 10px; margin: 0 10px 10px 0;">');
	    } elseif ($YA_badge == "logo") {
		_e('<div style="float: left; width: 20px; padding-right: 10px; margin: 0 10px 10px 0;">');
	    } elseif ($YA_badge == "text") {
		_e('<div style="float: left; width: 78px; padding-right: 10px; margin: 0 10px 10px 0;">');
	    } elseif ($YA_badge == "small-votes" || $YA_badge == "medium-votes" || $YA_badge == "large-votes") {
		_e('<div style="float: left; width: 170px; padding-right: 10px; margin: 0 10px 0 0;">');
	    } elseif ($YA_badge == "small" || $YA_badge == "medium" || $YA_badge == "large") {
		_e('<div style="float: left; width: 110px; padding-right: 10px; margin: 0 10px 0 0;">');
	    } else {
		_e('<div style="float: left; width: 50px; padding-right: 10px; margin: 0 10px 0 0;">');
	    }
	}

	// Display Bottom Left
	if ($YA_display1 == "bottomL") {
	    if ($YA_badge == "square") {
		_e('<div style="position:relative; width: 100%; padding: 0 0 100px 0;">');
		_e('<div style="position: absolute; bottom: 10px; width: 220px;">');
	    } else {
		_e('<div style="position:relative; width: 100%; padding: 0 0 40px 0;">');
		_e('<div style="position: absolute; bottom: 10px; width: 220px;">');
	    }
	}

	// Display Bottom Right
	if ($YA_display1 == "bottomR") {
	    if ($YA_badge == "square") {
		_e('<div style="position:relative; width: 100%; padding: 0 0 100px 0;">');
		_e('<div style="position: absolute; bottom: 10px; right:10px; width: 42px;">');
	    } elseif ($YA_badge == "text-votes" || $YA_badge == "logo" || $YA_badge == "text") {
		_e('<div style="position:relative; width: 100%; padding: 0 0 35px 0;">');
		_e('<div style="position: absolute; bottom: 10px; right:0; width: 80px;">');
	    } else {
		_e('<div style="position:relative; width: 100%; padding: 0 0 35px 0;">');
		_e('<div style="position: absolute; bottom: 10px; right:0; width: 175px;">');
	    }
	}
?>
<script type="text/javascript">
<?php
$YA_old = array('/\n/', '/\\[[^\\]]*\\]/');
$YA_new = array('', '');
?>
<!--
yahooBuzzArticleHeadline = '<?php the_title(); ?>';
yahooBuzzArticleSummary = '<?php if($YA_body != "") _e(SButtonZ_trunc(strip_tags(preg_replace($YA_old, $YA_new, $content)),$YA_body)); ?>';
yahooBuzzArticleCategory = '<?php _e($YA_topic); ?>';
yahooBuzzArticleType = '<?php if (strpos($content, "SBZ=video") == TRUE) {_e("video");} elseif (strpos($content, "SBZ=image") == TRUE) {_e("image");} elseif (strpos($content, "SBZ=news") == TRUE) {_e("text");} else {_e($YA_media);}; ?>';
yahooBuzzArticleId = '<?php the_permalink(); ?>';
//-->
</script>
<script type="text/javascript" src="http://d.yimg.com/ds/badge2.js" badgetype="<?php _e($YA_badge); ?>"> </script>
</div>
<?php
	}
}

    // Add Yahoo Buzz Button
    if (!function_exists("SButtonZ_yaho_Add")) {
	function SButtonZ_yaho_Add($content) {
	    $YA_display1 = get_option('SButtonZ_YA_display1');
	    //error_reporting(E_ALL);
	    if(is_home() && get_option('SButtonZ_YA_home') == "checked=on") return $content;
	    if(is_single() && get_option('SButtonZ_YA_post') == "checked=on") return $content;
	    if(is_page() && get_option('SButtonZ_YA_page') == "checked=on") return $content;
	    if(is_tag() && get_option('SButtonZ_YA_tag') == "checked=on") return $content;
	    if(is_archive() && get_option('SButtonZ_YA_arch') == "checked=on") return $content;
	    if(is_search() && get_option('SButtonZ_YA_srch') == "checked=on") return $content;
	    if (strpos($content, "buzzZ=none") == TRUE) return $content;
	    if($YA_display1 == "bottomL" || $YA_display1 == "bottomR") {
		$content = SButtonZ_yaho_Create($content).$content;
		$content .= '</div>';
		return $content;
	    } else {
		$content = SButtonZ_yaho_Create($content).$content;
		return $content;
	    }
	}
    }
    if (get_option('SButtonZ_yaho') == "checked=on") add_filter('the_content', 'SButtonZ_yaho_Add');

########################
#                      #
#   Other Functions    #
#                      #
########################
// Promote Text
if (!function_exists("SButtonZ_Promote")) {
    function SButtonZ_Promote($content) {
	if(is_page() || is_single()) {
	    if (get_option('SButtonZ_prom') == "checked=on") {
		$content .= "<p>Social Media buttons brought to you by <a href='http://blog.rswr.net/2009/02/14/social-media-wordpress-plugin/'>S-ButtonZ (WordPress Plugin)</a></p>";
	    }
	}
	return $content;
    }
}

// Truncate the Summary
if (!function_exists("SButtonZ_trunc")) {
	function SButtonZ_trunc($trunc, $tnum) {
		if (strlen($trunc) > 0 && strlen($trunc) > $tnum) {
			$k = 0;
			while ($k >= 0 && $k < strlen($trunc)) {
				$i = strpos($trunc, " ", $k);
				$j = strpos($trunc, chr(10), $k);
				if ($i === FALSE && $j === FALSE) {
					return $trunc;
				} else {
					if ($i > 0 && $j > 0) {
						if ($i < $j) {
							$k = $i;
						} else {
							$k = $j;
						}
					} elseif ($i > 0) {
						$k = $i;
					} elseif ($j > 0) {
						$k = $j;
					}

					if ($k >= $tnum) {
						return substr($trunc, 0, $k) . "...";
					} else {
						$k++;
					}
				}
			}
		} else {
			return $trunc;
		}
	}
}

// Get Plugin URL
function SButtonZ_Url() {
	$path = dirname(__FILE__);
	$path = str_replace("\\","/",$path);
	$path = trailingslashit(get_bloginfo('wpurl')) . trailingslashit(substr($path,strpos($path,"wp-content/")));
	return $path;
}

//Initialize the admin panel
if (!function_exists("SButtonZ_ap")) {
	function SButtonZ_ap() {
		global $SButtonZ_init;
		wp_enqueue_script('SBZ-main','/wp-content/plugins/s-buttonz/js/SBZ-main.js', array('jquery'), '1.0');
		if (!isset($SButtonZ_init)) {
			return;
		}
		if (function_exists('add_options_page')) {
			add_options_page('S-ButtonZ', 'S-ButtonZ', 9, basename(__FILE__), array(&$SButtonZ_init, 'printAdminPage'));
		}
	}
}

// Initialize Class
if (class_exists("SButtonZ")) {
	$SButtonZ_init = new SButtonZ();
}

//Actions and Filters
if (isset($SButtonZ_init)) {
	//Actions
	add_action('s-buttonz/S-ButtonZ.php', array(&$SButtonZ_init, 'init'));
	add_action('admin_menu', 'SButtonZ_ap');
	
	//Filters
	add_filter('the_content', 'SButtonZ_Promote');
}
?>
