<?php
// Retrieve Options
$DG_bg = get_option('SButtonZ_DG_bg');
$DG_display1 = get_option('SButtonZ_DG_display1');
$DG_skin = get_option('SButtonZ_DG_skin');
$DG_win = get_option('SButtonZ_DG_win');
$DG_body = get_option('SButtonZ_DG_body');
$DG_media = get_option('SButtonZ_DG_media');
$DG_topic = get_option('SButtonZ_DG_topic');
// Start Digg Settings
if (get_option('SbuttonZ_hide4') == 'show') {
    _e('<input type="hidden" target="SBZ-hide4" name="SBZ-hide4" class="SBZ-sh" value="show" />');
} else {
    _e('<input type="hidden" target="SBZ-hide4" name="SBZ-hide4" class="SBZ-sh" value="hide" />');
}
?>
  <div class="postbox" id="poststuff">
    <div class="postbox" id="SBZ4">
      <h3 class="hndle SBZ-h" target="SBZ-hide4"><span><?php _e('Digg Settings','SButtonZ'); ?></span></h3>
      <div class="inside" id="SBZ-hide4">
<table width="100%" class="SBZ-Pad">
<tr>
<th scope="row">
Hide Buttons On...
</td><td colspan="2">
<input type="checkbox" name="DGhome" <?php _e(get_option('SButtonZ_DG_home')); ?> /> Home Page (Recommended to speed up your Home Page's load time.)<br />
<input type="checkbox" name="DGpost" <?php _e(get_option('SButtonZ_DG_post')); ?> /> Posts<br />
<input type="checkbox" name="DGpage" <?php _e(get_option('SButtonZ_DG_page')); ?> /> Pages<br />
<input type="checkbox" name="DGtag" <?php _e(get_option('SButtonZ_DG_tag')); ?> /> Tag Pages<br />
<input type="checkbox" name="DGarch" <?php _e(get_option('SButtonZ_DG_arch')); ?> /> Archives (This is all Category, Author and Date based pages)<br />
<input type="checkbox" name="DGsrch" <?php _e(get_option('SButtonZ_DG_srch')); ?> /> Search Page Results<br />
<span class="SBZ-Red">Single Page or Post
<br />Note: Add the following html snippet to any page or post you would like to the hide the digg button on.
<br />&lt;!--diggZ=none--&gt;
</span>
</td></tr>
<tr>
<th scope="row">
Button Position
</td><td colspan="2">
<select id="DGdisplay1" name="DGdisplay1">
	<option value="" <?php _e($DG_display1=="" ? "selected" : ""); ?>>Top Right</option>
	<option value="left" <?php _e($DG_display1=="left" ? "selected" : ""); ?>>Top Left</option>
	<option value="bottomL" <?php _e($DG_display1=="bottomL" ? "selected" : ""); ?>>Bottom Left</option>
	<option value="bottomR" <?php _e($DG_display1=="bottomR" ? "selected" : ""); ?>>Bottom Right</option>
</select>
</td></tr>
<tr>
<th scope="row">
Background Color
</td><td colspan="2">
<input type="text" name="DGbg" size="10" maxlength="7" value="<?php if ($DG_bg == "") {_e("#FFFFFF");} else {_e($DG_bg);} ?>" />
<br /><span class="SBZ-Red">Use Hex Format Only (EG. #FFFFFF)</span>
</td></tr>
<tr>
<th scope="row">
Skin Type
</td><td style="vertical-align:top;">
<select id="DGskin" name="DGskin">
	<option value="" <?php _e($DG_skin=="" ? "selected" : ""); ?>>Default</option>
	<option value="compact" <?php _e($DG_skin=="compact" ? "selected" : ""); ?>>Compact</option>
	<option value="icon" <?php _e($DG_skin=="icon" ? "selected" : ""); ?>>Icon</option>
</select>
</td>
<td>
<img src="<?php _e(SButtonZ_Url()); ?>images/digg-examples.png" width="320px" height="120px" />
</td></tr>
<tr>
<th scope="row">
Browser Window
</td><td colspan="2">
<select id="DGwin" name="DGwin">
	<option value="" <?php _e($DG_win=="" ? "selected" : ""); ?>>Default Window</option>
	<option value="new" <?php _e($DG_win=="new" ? "selected" : ""); ?>>New Window</option>
</select>
</td></tr>
<tr>
<th scope="row">
Summary
</td><td colspan="2">
<select id="DGbody" name="DGbody">
	<option value="" <?php _e($DG_body=="" ? "selected" : ""); ?>>Manual (Blank Summary)</option>
	<option value="150" <?php _e($DG_body=="150" ? "selected" : ""); ?>>150 Charachter Summary</option>
	<option value="250" <?php _e($DG_body=="250" ? "selected" : ""); ?>>250 Charachter Summary</option>
	<option value="350" <?php _e($DG_body=="350" ? "selected" : ""); ?>>350 Charachter Summary</option>
</select>
</td></tr>
<tr>
<th scope="row">
Media
</td><td colspan="2">
<select id="DGmedia" name="DGmedia">
	<option value="news" <?php _e($DG_media=="news" ? "selected" : ""); ?>>News (Text)</option>
	<option value="video" <?php _e($DG_media=="video" ? "selected" : ""); ?>>Video</option>
	<option value="image" <?php _e($DG_media=="image" ? "selected" : ""); ?>>Image</option>
</select>
<br /><span class="SBZ-Red">The default type of media being submitted.</span>
<br />Note: If you need to use multiple types of media, add one of the following html snippets to your page or post.
<br /> &lt;!--SBZ=news--&gt;
<br /> &lt;!--SBZ=image--&gt;
<br /> &lt;!--SBZ=video--&gt;
</td></tr>
<tr>
<th scope="row">
Topic
</td><td colspan="2">
<select id="DGtopic" name="DGtopic">
	<option value="" <?php _e($DG_topic=="" ? "selected" : ""); ?>>Blank</option>
	<option value="apple" <?php _e($DG_topic=="apple" ? "selected" : ""); ?>>Apple</option>
	<option value="arts_culture" <?php _e($DG_topic=="arts_culture" ? "selected" : ""); ?>>Arts Culture</option>
	<option value="autos" <?php _e($DG_topic=="autos" ? "selected" : ""); ?>>Autos</option>
	<option value="baseball" <?php _e($DG_topic=="baseball" ? "selected" : ""); ?>>Baseball</option>
	<option value="basketball" <?php _e($DG_topic=="basketball" ? "selected" : ""); ?>>Basketball</option>
	<option value="business_finance" <?php _e($DG_topic=="business_finance" ? "selected" : ""); ?>>Business Finance</option>
	<option value="celebrity" <?php _e($DG_topic=="celebrity" ? "selected" : ""); ?>>Celebrity</option>
	<option value="comedy" <?php _e($DG_topic=="comedy" ? "selected" : ""); ?>>Comedy</option>
	<option value="comics_animation" <?php _e($DG_topic=="comics_animation" ? "selected" : ""); ?>>Comics Animation</option>
	<option value="design" <?php _e($DG_topic=="design" ? "selected" : ""); ?>>Design</option>
	<option value="educational" <?php _e($DG_topic=="educational" ? "selected" : ""); ?>>Educational</option>
	<option value="environment" <?php _e($DG_topic=="environment" ? "selected" : ""); ?>>Environment</option>
	<option value="extreme_sports" <?php _e($DG_topic=="extreme_sports" ? "selected" : ""); ?>>Extreme Sports</option>
	<option value="food_drink" <?php _e($DG_topic=="food_drink" ? "selected" : ""); ?>>Food Drink</option>
	<option value="football" <?php _e($DG_topic=="football" ? "selected" : ""); ?>>Football</option>
	<option value="gadgets" <?php _e($DG_topic=="gadgets" ? "selected" : ""); ?>>Gadgets</option>
	<option value="gaming_news" <?php _e($DG_topic=="gaming_news" ? "selected" : ""); ?>>Gaming News</option>
	<option value="general_sciences" <?php _e($DG_topic=="general_sciences" ? "selected" : ""); ?>>General Sciences</option>
	<option value="golf" <?php _e($DG_topic=="golf" ? "selected" : ""); ?>>Golf</option>
	<option value="hardware" <?php _e($DG_topic=="hardware" ? "selected" : ""); ?>>Hardware</option>
	<option value="health" <?php _e($DG_topic=="health" ? "selected" : ""); ?>>Health</option>
	<option value="hockey" <?php _e($DG_topic=="hockey" ? "selected" : ""); ?>>Hockey</option>
	<option value="linux_unix" <?php _e($DG_topic=="linux_unix" ? "selected" : ""); ?>>Linux Unix</option>
	<option value="microsoft" <?php _e($DG_topic=="microsoft" ? "selected" : ""); ?>>Microsoft</option>
	<option value="mods" <?php _e($DG_topic=="mods" ? "selected" : ""); ?>>Mods</option>
	<option value="motorsport" <?php _e($DG_topic=="motorsport" ? "selected" : ""); ?>>Motorsport</option>
	<option value="movies" <?php _e($DG_topic=="movies" ? "selected" : ""); ?>>Movies</option>
	<option value="music" <?php _e($DG_topic=="music" ? "selected" : ""); ?>>Music</option>
	<option value="nintendo" <?php _e($DG_topic=="nintendo" ? "selected" : ""); ?>>Nintendo</option>
	<option value="odd_stuff" <?php _e($DG_topic=="odd_stuff" ? "selected" : ""); ?>>Odd Stuff</option>
	<option value="olympics" <?php _e($DG_topic=="olympics" ? "selected" : ""); ?>>Olympics</option>
	<option value="other_sports" <?php _e($DG_topic=="other_sports" ? "selected" : ""); ?>>Other Sports</option>
	<option value="pc_games" <?php _e($DG_topic=="pc_games" ? "selected" : ""); ?>>PC Games</option>
	<option value="people" <?php _e($DG_topic=="people" ? "selected" : ""); ?>>People</option>
	<option value="pets_animals" <?php _e($DG_topic=="pets_animals" ? "selected" : ""); ?>>Pets Animals</option>
	<option value="playable_web_games" <?php _e($DG_topic=="playable_web_games" ? "selected" : ""); ?>>Playable Web Games</option>
	<option value="playstation" <?php _e($DG_topic=="playstation" ? "selected" : ""); ?>>Playstation</option>
	<option value="political_opinion" <?php _e($DG_topic=="political_opinion" ? "selected" : ""); ?>>Political Opinion</option>
	<option value="politics" <?php _e($DG_topic=="politics" ? "selected" : ""); ?>>Politics</option>
	<option value="programming" <?php _e($DG_topic=="programming" ? "selected" : ""); ?>>Programming</option>
	<option value="security" <?php _e($DG_topic=="security" ? "selected" : ""); ?>>Security</option>
	<option value="soccer" <?php _e($DG_topic=="soccer" ? "selected" : ""); ?>>Soccer</option>
	<option value="software" <?php _e($DG_topic=="software" ? "selected" : ""); ?>>Software</option>
	<option value="space" <?php _e($DG_topic=="space" ? "selected" : ""); ?>>Space</option>
	<option value="tech_news" <?php _e($DG_topic=="tech_news" ? "selected" : ""); ?>>Tech News</option>
	<option value="television" <?php _e($DG_topic=="television" ? "selected" : ""); ?>>Television</option>
	<option value="tennis" <?php _e($DG_topic=="tennis" ? "selected" : ""); ?>>Tennis</option>
	<option value="travel_places" <?php _e($DG_topic=="travel_places" ? "selected" : ""); ?>>Travel Places</option>
	<option value="world_news" <?php _e($DG_topic=="world_news" ? "selected" : ""); ?>>World News</option>
	<option value="xbox" <?php _e($DG_topic=="xbox" ? "selected" : ""); ?>>Xbox</option>
</select>
<br /><span class="SBZ-Red">Leave this set to "Blank" if you want the poster to choose the topic.</span>
</td></tr>
</table>
      </div>
    </div>
  </div>
